<?
include './system/common.php';
include './system/functions.php';
include './system/user.php';
    
if(!$user)header('location: /');
    

$title = 'Загрузка аватарки';
include './system/h.php';
echo ' ';
 
  
if(isset($_POST['submit'])){

 if ($_FILES['key']['error'] > 0) {
        switch ($_FILES['key']['error']) {
            case 1: echo('Размер файла больше upload_max_filesize');      

                break;
            case 2: echo('Размер файла больше max_file_size');  

                break;
            case 3: echo('Загружена только часть файла');  

                break;

            case 4: echo('Файл не загружен');

                break;
            case 6: echo('Загрузка невозможна: не задан временный каталог');      

                break;
            case 7: echo('Загрузка не выполнена: невозможна запись на диск');      

                break;
        }

        require_once 'system/f.php';

        exit;
    }
//Проверка, имеет ли файл правильный MIME-тип
if ($_FILES['key']['type'] != 'image/png') {
    echo('Файл должен быть формата png');
        require_once 'system/f.php';
    exit;
}
//Помещаем файл в нужный каталог
$up = '/avatars/'.$user['id'].''.rand(11111,99999).'.png';

if (is_uploaded_file($_FILES['key']['tmp_name'])) {

mysql_query("UPDATE `users` SET `key` = '$up' WHERE `id`= '$user[id]'");

    if (!move_uploaded_file($_FILES['key']['tmp_name'], $_SERVER['DOCUMENT_ROOT'].$up)){
        echo ('Проблема. Невозможно поместить файл в каталог назначения');
        require_once 'system/f.php';

        exit;
    }
} else {
    echo('Проблема: возможна атака через загрузку файла. Файл: '.$_FILES['key']['name']);
        require_once 'system/f.php';

}
header('Location:/user/');
}

echo '<div class="content">';
if(empty($user['key'])){ echo '<center><b>У вас нет аватарки</b></center>';}else{ echo '<img src="/avatars/'.$user['key'].'.png" style="max-width: 100px; max-height: 100px;"></center><br/><br/>';}

echo '
<form action="" method="post" enctype="multipart/form-data">
 <input type="hidden" name="MAX_FILE_SIZE" value="10000000">
<input type="file" name="userfile" id="userfile"><br />
<input type="submit" value="Прикрепить аватар" class="button" name="submit" title="Предмет" />
</form>
</div>';


  
  
  
  
  
include './system/f.php';

?>